package be.iminds.ilabt.jfed.experimenter_gui.editor.ribbon_tabs;

import be.iminds.ilabt.jfed.experimenter_gui.editor.ExperimentEditor;
import be.iminds.ilabt.jfed.experimenter_gui.ui.ribbon.RibbonTab;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * User: twalcari
 * Date: 7/1/2014
 * Time: 11:17
 */
public abstract class EditorRibbonTab extends RibbonTab {
    private final static Logger LOG = LoggerFactory.getLogger(EditorRibbonTab.class);

    protected final ObjectProperty<ExperimentEditor> activeExperimentEditor = new SimpleObjectProperty<>();

    public ExperimentEditor getActiveExperimentEditor() {
        return activeExperimentEditor.get();
    }

    public void setActiveExperimentEditor(ExperimentEditor activeExperimentEditor) {
        this.activeExperimentEditor.set(activeExperimentEditor);
    }

}
